GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
gtk/gtkdatabox_points.h File Reference
`#include <gtkdatabox_xyc_graph.h>`
Include dependency graph for gtkdatabox_points.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | _GtkDataboxPoints
struct | _GtkDataboxPointsClass

## Defines

#define | GTK_DATABOX_TYPE_POINTS (gtk_databox_points_get_type ())
#define | GTK_DATABOX_POINTS(obj)
#define | GTK_DATABOX_POINTS_CLASS(klass)
#define | GTK_DATABOX_IS_POINTS(obj)
#define | GTK_DATABOX_IS_POINTS_CLASS(klass)
#define | GTK_DATABOX_POINTS_GET_CLASS(obj)

## Typedefs

typedef struct _GtkDataboxPoints | GtkDataboxPoints
typedef struct _GtkDataboxPointsClass | GtkDataboxPointsClass
typedef struct _GtkDataboxPointsPrivate | GtkDataboxPointsPrivate

## Functions

GType | gtk_databox_points_get_type (void)
GtkDataboxGraph * | gtk_databox_points_new (guint len, gfloat *X, gfloat *Y, GdkColor *color, gint size)

## Define Documentation

#define GTK_DATABOX_IS_POINTS | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                               GTK_DATABOX_TYPE_POINTS))

#define GTK_DATABOX_IS_POINTS_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                               GTK_DATABOX_TYPE_POINTS))

#define GTK_DATABOX_POINTS | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                               GTK_DATABOX_TYPE_POINTS, \
                                               GtkDataboxPoints))

#define GTK_DATABOX_POINTS_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                               GTK_DATABOX_TYPE_POINTS, \
                                               GtkDataboxPointsClass))

#define GTK_DATABOX_POINTS_GET_CLASS | ( |  | obj | ) |

Value:

    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                               GTK_DATABOX_TYPE_POINTS, \
                                               GtkDataboxPointsClass))

#define GTK_DATABOX_TYPE_POINTS (gtk_databox_points_get_type ())

SECTION:gtkdatabox_points : A GtkDataboxGraph used for displaying xy-values as dots. gtkdatabox_points.h : GtkDatabox, GtkDataboxGraph, GtkDataboxLines, GtkDataboxBars, GtkDataboxMarkers

GtkDataboxPoints is a GtkDataboxGraph class for displaying xy-values as dots.

## Typedef Documentation

typedef struct _GtkDataboxPoints GtkDataboxPoints

GtkDataboxPoints: : GtkDatabox, GtkDataboxGraph, GtkDataboxLines, GtkDataboxBars, GtkDataboxMarkers

GtkDataboxPoints is a GtkDataboxGraph class for displaying xy-values as dots.

typedef struct _GtkDataboxPointsClass GtkDataboxPointsClass

typedef struct _GtkDataboxPointsPrivate GtkDataboxPointsPrivate

GtkDataboxPointsPrivate

A private data structure used by the GtkDataboxPoints. It shields all internal things from developers who are just using the object.

## Function Documentation

GType gtk_databox_points_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_points_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y,
|  | GdkColor * | color,
|  | gint | size
| ) |  |

gtk_databox_points_new: : length of and : array of horizontal position values of markers : array of vertical position values of markers : color of the markers : marker size or line width (depending on the )

Creates a new GtkDataboxPoints object which can be added to a GtkDatabox widget.

Return value: A new GtkDataboxPoints object

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines